<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Export_ViaRoute_GPX StructType
 * @subpackage Structs
 */
class Export_ViaRoute_GPX extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The ViaRoute
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\IdentifierViaRoute
     */
    public $ViaRoute;
    /**
     * Constructor method for Export_ViaRoute_GPX
     * @uses Export_ViaRoute_GPX::setLogin()
     * @uses Export_ViaRoute_GPX::setViaRoute()
     * @param \StructType\Login $login
     * @param \StructType\IdentifierViaRoute $viaRoute
     */
    public function __construct(\StructType\Login $login = null, \StructType\IdentifierViaRoute $viaRoute = null)
    {
        $this
            ->setLogin($login)
            ->setViaRoute($viaRoute);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Export_ViaRoute_GPX
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get ViaRoute value
     * @return \StructType\IdentifierViaRoute|null
     */
    public function getViaRoute()
    {
        return $this->ViaRoute;
    }
    /**
     * Set ViaRoute value
     * @param \StructType\IdentifierViaRoute $viaRoute
     * @return \StructType\Export_ViaRoute_GPX
     */
    public function setViaRoute(\StructType\IdentifierViaRoute $viaRoute = null)
    {
        $this->ViaRoute = $viaRoute;
        return $this;
    }
}
